Uploaded image for project: 'Puppet'
  1. Puppet
  2. PUP-5549

package version behavior for epoch versioned rpm's in centos is broken.

    Details

    • Type: Bug
    • Status: Closed
    • Priority: Normal
    • Resolution: Fixed
    • Affects Version/s: PUP 4.3.0
    • Fix Version/s: PUP 4.3.2
    • Component/s: None
    • Labels:
      None
    • Template:
    • Story Points:
      2
    • Sprint:
      Client 2015-12-16, Client 2015-12-30
    • Release Notes:
      Bug Fix
    • Release Notes Summary:
      Hide
      The change made for PUP-5025 for installing packages versions with epochs using the DNF provider caused a regression when trying to do the same using the Yum provider. This change reverts the culprit commit.
      Show
      The change made for PUP-5025 for installing packages versions with epochs using the DNF provider caused a regression when trying to do the same using the Yum provider. This change reverts the culprit commit.

      Description

      puppet-agent 1.3.0
      CentOS 7

      I just upgraded from puppet-agent 1.2.4 and all of a sudden I have multiple packages throwing the following notice every single puppet run:

      Notice: /Stage[main]/Logstash::Package/Logstash::Package::Install[logstash]/Package[logstash]/ensure: ensure changed '1:1.5.5-1' to '1.5.5-1'
      

      I'm not 100% positive, but it looks as though this change made be the culprit:
      https://tickets.puppetlabs.com/browse/PUP-5025

      I tried adding the epoch to the begging of the version given to puppet and I get this:

      Error: Could not update: Execution of '/usr/bin/yum -d 0 -e 0 -y install logstash-1:1.5.5-1' returned 1: Error: Nothing to do
      Error: /Package[logstash]/ensure: change from purged to 1:1.5.5-1 failed: Could not update: Execution of '/usr/bin/yum -d 0 -e 0 -y install logstash-1:1.5.5-1' returned 1: Error: Nothing to do
      

        Attachments

          Issue Links

            Activity

              People

              • Assignee:
                john.duarte John Duarte
                Reporter:
                jbehrends Josh Behrends
              • Votes:
                0 Vote for this issue
                Watchers:
                6 Start watching this issue

                Dates

                • Created:
                  Updated:
                  Resolved:

                  Zendesk Support